Subject: bug#16007: admin/charsets/mule-charsets.el requires old Emacs version

From: Eli Zaretskii <[email-masked]>
Date: Wed, 01 Jan 2014 18:04:19 +0200

> From: Kenichi Handa <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Wed, 01 Jan 2014 23:28:46 +0900
> 
> If you think that keeping *.el that doesn't run in the
> latest Emacs is a bad thing, perhaps the better way to keep
> the information I wrote above is not by the Lisp file but by
> a document which may contain the code in mule-charset.el
> (the original one) as just a reference.
> 
> If you agree, I'll delete mule-charset.el and add proper
> information to admin/charsets/mapfiles/README.

I'm not sure we can distribute generated files without the programs
that generated them.  And even if we could, deleting a file because we
don't want to maintain it sounds too drastic to me.

Why is it a problem to make changes in mule-charsets.el so that it
could work both with Emacs 22 and with the latest versions of Emacs?
What do we lose if we make such a change in mule-charsets.el?